List Knowledge Bases
curl --request GET \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/knowledge-bases \
--header 'Authorization: Bearer <token>'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/knowledge-bases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01kqh44erj3ea18g755d9wbr01",
"name": "eius et animi",
"created_at": "2026-05-01T06:38:04.000000Z",
"updated_at": "2026-05-01T06:38:04.000000Z",
"workspace_id": "01kqh44er249bbjra64d5frez4"
},
{
"id": "01kqh44esqy3py46g1pd3tmc81",
"name": "commodi incidunt iure",
"created_at": "2026-05-01T06:38:04.000000Z",
"updated_at": "2026-05-01T06:38:04.000000Z",
"workspace_id": "01kqh44esazsr39rfzbr5gh72f"
}
],
"meta": {
"per_page": 20,
"next_cursor": null,
"prev_cursor": null
}
}Knowledge Bases
List Knowledge Bases
Retrieves a paginated list of knowledge bases for the authenticated user’s current workspace. The knowledge bases are returned using cursor-based pagination.
GET
/
api
/
v1
/
knowledge-bases
List Knowledge Bases
Authorizations
Bearer token authentication
Query Parameters
The number of items per page. Must be at least 1. Must not be greater than 100.
Example:
25
The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.
Example:
"example"
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": "01kqh44erj3ea18g755d9wbr01",
"name": "eius et animi",
"created_at": "2026-05-01T06:38:04.000000Z",
"updated_at": "2026-05-01T06:38:04.000000Z",
"workspace_id": "01kqh44er249bbjra64d5frez4"
},
{
"id": "01kqh44esqy3py46g1pd3tmc81",
"name": "commodi incidunt iure",
"created_at": "2026-05-01T06:38:04.000000Z",
"updated_at": "2026-05-01T06:38:04.000000Z",
"workspace_id": "01kqh44esazsr39rfzbr5gh72f"
}
]
Show child attributes
Show child attributes

